Subject: bug#7989: 23.2.91; How do I update "local" autoloads?

From: Chong Yidong <[email-masked]>
Date: Wed, 04 May 2011 11:40:11 -0400

Stefan Monnier <[email-masked]> writes:

> AFAICT the global default value of generated-autoload-file is only used
> when you use those functions interactively, which was the case back when
> Emacs did not bootstrap and didn't have much of a lisp/Makefile.
> AFAICT nowadays these functions are rarely if ever used interactively to
> rebuild Emacs's own loaddefs.el, so the default value is basically
> never useful and should probably default to something like nil.

I've committed a change that does this, and makes the interactive
functions prompt for an autoload file.